<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #8 - Validate Price</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW JS #8 - Validate Price</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span> Опишите своими словами, как Вы понимаете, что такое обработчик событий.</p>
            <div class="answer-wrapper">
                <p class="answer">
                    Обработчик - это файл или функция, который(ая) вызывается для обработки данных.
                </p>
              
                
            </div>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span>Создать поле для ввода цены с валидацией.</p>
            <ul class="reqular">
               <li>
                    При загрузке страницы показать пользователю поле ввода (input) с надписью Price. Это поле будет служить для ввода числовых значений
               </li>
               <li>
                    При фокусе на поле ввода - у него должна появиться рамка зеленого цвета. При потере фокуса она пропадает.
               </li>
              <li>
                    Когда убран фокус с поля - его значение считывается, над полем создается span, в котором должен быть выведен текст: Текущая цена: ${значение из поля ввода}. Рядом с ним должна быть кнопка с крестиком (X). Значение внутри поля ввода окрашивается в зеленый цвет.
              </li>
              <li>
                    При нажатии на Х - span с текстом и кнопка X должны быть удалены. Значение, введенное в поле ввода, обнуляется.
              </li>
              <li>
                Если пользователь ввел число меньше 0 - при потере фокуса подсвечивать поле ввода красной рамкой, под полем выводить фразу - Please enter correct price. span со значением при этом не создается.
              </li>
            </ul>

            <!-- <p class="question">Дополнительно:</p>
            <ul class="additional">
                <li>
                    Добавьте обработку вложенных массивов. Если внутри массива одним из элементов будет еще один массив, выводить его как вложенный список
                </li>
                <li>
                    Очистить страницу через 3 секунды. Показывать таймер обратного отсчета (только секунды) перед очищением страницы
                </li>
             </ul>-->
            <!-- <p class="answer btn-wrapper">
                <button class="btn btn-red task-start" onclick="">Запустить</button>
            </p>  -->
            <!-- <p class="result">Смотри результат в консоли!</p> -->

          
            <div class="result"></div>
            
        </div>
    </div>
    

    <script src="js/script.js"></script>
</body>
</html>